class JenkinsJSONData():
    build_url = 'http://10.0.0.1:8080/job/my-job/3/'
    job_data = {
        'downstreamProjects': [{'name': 'job-multiconfig'},
                               {'name': 'job-freestyle'}]}
    job_multiconfig_build_data = {
        u'builds': [{u'actions': [{u'causes':
                                  [{u'upstreamBuild': 3,
                                    u'upstreamProject': u'my-job'}]},
                                  {},
                                  {}],
                     u'number': 3,
                     u'result': u'FAILURE',
                     u'url': u'http://10.0.0.1:8080/job/job-multiconfig/3/'},
                    {u'actions': [{u'causes':
                                  [{u'upstreamBuild': 2,
                                   u'upstreamProject': u'my-job'}]},
                                  {},
                                  {}],
                     u'number': 2,
                     u'result': u'SUCCESS',
                     u'url': ''
                     u'http://10.0.0.1:8080/job/job-multiconfig/2/'}]}

    job_multiconfig_data = {
        'downstreamProjects': [],
        u'activeConfigurations': [{u'color': u'red',
                                   u'name': u'distribution=raring,flavor=i386',
                                   u'url': u'http://10.0.0.1:8080/job/' +
                                           'job-multiconfig/./distribution' +
                                           '=raring,flavor=i386/'},
                                  {u'color': u'red',
                                   u'name': u'distribution=raring,flavor' +
                                            '=amd64',
                                   u'url': u'http://10.0.0.1:8080/job/' +
                                           'job-multiconfig/./distribution' +
                                           '=raring,flavor=amd64/'}]}
    job_multiconfig_build3_data = {
        'runs': [{'number': 3,
                  'url': 'http://10.0.0.1:8080/job/job-multiconfig/' +
                         './distribution=raring,flavor=amd64/3/'},
                 {'number': 3,
                  'url': 'http://10.0.0.1:8080/job/job-multiconfig/' +
                         './distribution=raring,flavor=i386/3/'}],
        'number': 3}
    job_multiconfig_run_data = {
        'result': 'FAILURE',
        'artifacts': [{'relativePath': 'results/coverity/CID_10895.html'},
                      {'relativePath': 'results/coverity/CID_10896.html'}]}

    job_freestyle_build_data = {
        u'builds': [{u'actions': [{u'causes':
                                  [{u'upstreamBuild': 3,
                                   u'upstreamProject': u'my-job'}]},
                                  {},
                                  {}],
                    u'number': 7,
                    u'result': u'SUCCESS',
                    u'url': u'http://10.0.0.1:8080/job/job-freestyle/7/'}],
        u'artifacts': [{'relativePath':
                        'work/output/qml-phone-shell-autopilot_1.61_all.deb'},
                       {'relativePath':
                        'work/output/qml-phone-shell_1.61_armhf.deb'}]}

    job_freestyle_data = {
        'downstreamProjects': [{'name': 'freestyle-downstream'}]}

    job_freestyle_downstream_build_data = {
        u'builds': [{u'actions': [{u'causes':
                                  [{u'upstreamBuild': 7,
                                   u'upstreamProject': u'job-freestyle'}]},
                                  {},
                                  {}],
                    u'number': 12,
                    'artifacts': [],
                    u'result': u'UNSTABLE',
                    u'url': u'http://10.0.0.1:8080/job/' +
                            'freestyle-downstream/12/'}],
        u'artifacts': []}

    job_freestyle_downstream_data = {
        'downstreamProjects': []}

    job_freestyle_downstream_run_data = {
        'result': 'UNSTABLE',
        'artifacts': []}

    def get_json_data(self, url, append_api=True):
        url = url.rstrip('/')
        print url
        if url == 'http://10.0.0.1:8080/job/my-job':
            return self.job_data
        elif url == 'http://10.0.0.1:8080/job/job-multiconfig':
            return self.job_multiconfig_data
        elif url == 'http://10.0.0.1:8080/job/job-multiconfig/3':
            return self.job_multiconfig_build3_data
        elif url == 'http://10.0.0.1:8080/job/job-freestyle':
            return self.job_freestyle_data
        elif url == 'http://10.0.0.1:8080/job/freestyle-downstream':
            return self.job_freestyle_downstream_data
        elif url == 'http://10.0.0.1:8080/job/freestyle-downstream/12':
            return self.job_freestyle_downstream_run_data
        elif url == 'http://10.0.0.1:8080/job/job-freestyle/7':
            return self.job_freestyle_build_data
        elif url == 'http://10.0.0.1:8080/job/job-multiconfig/' + \
                    './distribution=raring,flavor=amd64/3':
            return self.job_multiconfig_run_data
        elif url == 'http://10.0.0.1:8080/job/job-multiconfig/' + \
                    './distribution=raring,flavor=i386/3':
            return self.job_multiconfig_run_data
        elif url == 'http://10.0.0.1:8080/job/job-multiconfig/api/json?' +\
                    'depth=2&tree=builds[number,url,result,' +\
                    'actions[causes[upstreamBuild,upstreamProject]]]':
            return self.job_multiconfig_build_data
        elif url == 'http://10.0.0.1:8080/job/job-freestyle/api/json?' +\
                    'depth=2&tree=builds[number,url,result,' +\
                    'actions[causes[upstreamBuild,upstreamProject]]]':
            return self.job_freestyle_build_data
        elif url == 'http://10.0.0.1:8080/job/freestyle-downstream/api/' +\
                    'json?depth=2&tree=builds[number,url,result,' +\
                    'actions[causes[upstreamBuild,upstreamProject]]]':
            return self.job_freestyle_downstream_build_data
